using System.Text.Json.Serialization;
using JacobTechEncryption.Enums;

namespace Luski.net.JsonTypes.Public;

public class pFile
{
    [JsonInclude]
    [JsonPropertyName("id")]
    public long ID { get; set; }
    [JsonInclude]
    [JsonPropertyName("name")]
    public string Name { get; set; }
    [JsonInclude]
    [JsonPropertyName("channel")]
    public long Channel { get; set; }
    [JsonInclude]
    [JsonPropertyName("encoder_type")]
    public EncoderType Encoder { get; set; }
    [JsonInclude]
    [JsonPropertyName("name_encoder_type")]
    public EncoderType NameEncoder { get; set; }
    [JsonInclude]
    [JsonPropertyName("encryption_key")]
    public long Key { get; set; }
    [JsonInclude]
    [JsonPropertyName("name_encryption_key")]
    public long NameKey { get; set; }
    [JsonInclude]
    [JsonPropertyName("size")]
    public long Size { get; set; }
}