﻿using Luski.net.Enums.Public;
using System.Text.Json.Serialization;

namespace Luski.net.JsonTypes.BaseTypes;

public class BetterIncomingWSS
{
    [JsonPropertyName("type")]
    [JsonInclude]
    public DataType? Type { get; set; } = DataType.Token!;
    [JsonPropertyName("error")]
    [JsonInclude]
    public string Error { get; set; } = default!;
}

[JsonSerializable(typeof(BetterIncomingWSS))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.Unspecified,
    WriteIndented = false)]
public partial class BetterIncomingWSSContext : JsonSerializerContext
{

}
