﻿using System.Threading;
using System.Threading.Tasks;
using Luski.net.Enums;

namespace Luski.net.Structures.Public;

public class SocketAppUser : SocketUser
{
    public long SelectedChannel { get; init; } = default!;
    
    public async Task<SocketChannel> GetSelectedChannel(CancellationToken Token)
    {
        return await Server.GetChannel<SocketChannel>(SelectedChannel, Token);
    }
    
    public string Username { get; init; } = default!;
}