namespace Luski.net.Enums.Public;

public enum ServerPermission : long
{
    ViewChannels,
    MoveChannels,
    EditChannels,
    EditChannelPermissions,
    CreateChannels,
    DeleteChannels,
    ViewCategories,
    MoveCategories,
    EditCategories,
    EditCategoryPermissions,
    CreateCategories,
    DeleteCategories,
    DeleteKeys,
    ManageRoles,
    ViewLogs,
    ManageServer,
    Invite,
    Nickname,
    ManageNacknames,
    Kick,
    Ban,
    SendMessages,
    SendFiles,
    ChannelAndServerPings,
    PingSomeone,
    ManageMessages,
    ReadMessageHistory,
    UseServerCommands,
    JoinVoice,
    SpeakInVoice,
    MuteMembers,
    DeafenMembers,
    MoveMembers
}