using System.Text.Json.Serialization;
using Luski.net.JsonTypes.BaseTypes;

namespace Luski.net.JsonTypes;

public class UserKeysGetRequest : IncomingHTTP
{
    public UserKeyGetRequest[] keys { get; set; }
}

[JsonSerializable(typeof(UserKeysGetRequest))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.CamelCase,
    WriteIndented = true)]
internal partial class UserKeysGetRequestContext : JsonSerializerContext
{

}